//

package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.util;


public abstract class SecurityService {
    public SecurityService() {
    }

    public static String genEncodeData(String data, String dataSecret, String dataSecretIv) {
        return Encoder.encrypt(data, dataSecret, dataSecretIv);
    }

    public static String genDecodeData(String data, String dataSecret, String dataSecretIv) {
        return Decoder.decrypt(data, dataSecret, dataSecretIv);
    }

    public static String genEncodePhone(String data, String key) {
        return Encoder.encryptH5(data, key);
    }

    public static String md5Encode(Object object) {
        return Encoder.md5Encode(object);
    }

    public static String genSigData(String data, String sigSecret) {
        return HMacMD5.getHmacMd5Str(sigSecret, data);
    }

//    public static void checkSig(String data, String sigSecret, String expectSig) throws ApiRuleException {
//        if (expectSig == null || !expectSig.equals(genSigData(data, sigSecret))) {
//            throw new ApiRuleException(StatusCode.ILLEGAL_PARAM.getCode(), ", check sig error, expectSig: " + expectSig + ", currentSig: " + genSigData(data, sigSecret));
//        }
//    }

    public static String genBase64SigData(String data, String accessSecret) {
        return HMacMD5.genBaseString(data, accessSecret);
    }
}
