package com.zswl.cloud.springBtach.server.core.api.dfy.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ScenicResponse extends DfyResponseBase {


    private List<Datas> data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        private Integer totalCount;
        private List<rows> rows;

    }


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class rows {

        private String scenicId;
        private String scenicName;
        private String newPicUrl;
        private String address;
        private String bizTime;
        private String glocation;
        private String blocation;
        private List<Ticket> ticketList;


    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Ticket {

        private String productId;
        private String productName;
        private String webPrice;
        private String salePrice;


    }
}
